ambix_matrix_multiply_data()
ambix_matrix

Multiply a matrix with data. More...

## Functions

AMBIX_API ambix_err_t | ambix_matrix_multiply_float32 (float32_t *dest, const ambix_matrix_t *mtx, const float32_t *source, int64_t frames)
| Multiply a matrix with (32bit floating point) data.
AMBIX_API ambix_err_t | ambix_matrix_multiply_float64 (float64_t *dest, const ambix_matrix_t *mtx, const float64_t *source, int64_t frames)
| Multiply a matrix with (64bit float) data.
AMBIX_API ambix_err_t | ambix_matrix_multiply_int32 (int32_t *dest, const ambix_matrix_t *mtx, const int32_t *source, int64_t frames)
| Multiply a matrix with (32bit signed integer) data.
AMBIX_API ambix_err_t | ambix_matrix_multiply_int16 (int16_t *dest, const ambix_matrix_t *mtx, const int16_t *source, int64_t frames)
| Multiply a matrix with (16 bit signed integer) data.

## Detailed Description

Multiply a matrix with data.

Multiply a [rows*cols] matrix with an array of [cols*frames] source data to get [rows*frames] dest data.

Parameters

  dest | a pointer to hold the output data; it must be large enough to hold at least rows*frames samples (allocated by the user).
  mtx | the matrix to multiply source with.
  source | a pointer to an array that holds cols*frames samples (allocated by the user).
  frames | number of frames in source

Returns
  an error code indicating success

Remarks
  Both source and dest data are arranged column-wise (as is the default for interleaved audio-data).